Get server

Retrieve details of a specific server in your account.


GET/api/servers/{id}

Get a server

This endpoint allows you to retrieve a server by providing the server ID.

Full PHP versions

php_full_versions holds the full version of every installed PHP version, for example "8.3": "8.3.27". Ploi reads these from PHP-FPM every night, after a PHP version is patched and after updates installed packages on the server. php_full_versions_checked_at is when the oldest of them was read (UTC). A version is null when it has not been read yet.

Required scopes

Read servers

Request

GET
/api/servers/{id}
curl -G "https://ploi.io/api/servers/{id}" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json"

Response

{
  "data": {
    "id": 1,
    "status": "active",
    "type": "server",
    "name": "awesome-server",
    "ip_address": "127.0.0.1",
    "php_version": "8.3",
    "php_cli_version": "8.3",
    "installed_php_versions": ["8.3", "8.4"],
    "php_full_versions": {
      "8.3": "8.3.27",
      "8.4": "8.4.14"
    },
    "php_full_versions_checked_at": "2026-10-27T02:00:12.000000Z",
    "mysql_version": 5.7,
    "sites_count": 4,
    "monitoring": true,
    "created_at": "2019-01-01 09:00:00"
  }
}